# Uses of Class
com.ngrok.definitions.EndpointIpPolicy

Packages that use EndpointIpPolicy
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointIpPolicy in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type EndpointIpPolicy
  Modifier and Type
  Method
  Description
  `Optional<EndpointIpPolicy>`
  HttpsEdgeRoute.`getIpRestriction()`
  ip restriction module configuration or `null`
  `Optional<EndpointIpPolicy>`
  TcpEdge.`getIpRestriction()`
  Fetches the value of the `ipRestriction` property.
  `Optional<EndpointIpPolicy>`
  TlsEdge.`getIpRestriction()`
  Fetches the value of the `ipRestriction` property.

- ## Uses of EndpointIpPolicy in com.ngrok.services

  Methods in com.ngrok.services that return EndpointIpPolicy
  Modifier and Type
  Method
  Description
  `EndpointIpPolicy`
  EdgeRouteIpRestrictionModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointIpPolicy`
  EdgeRouteIpRestrictionModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointIpPolicy`
  TcpEdgeIpRestrictionModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointIpPolicy`
  TcpEdgeIpRestrictionModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointIpPolicy`
  TlsEdgeIpRestrictionModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointIpPolicy`
  TlsEdgeIpRestrictionModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointIpPolicy
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointIpPolicy>`
  EdgeRouteIpRestrictionModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointIpPolicy>`
  EdgeRouteIpRestrictionModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointIpPolicy>`
  TcpEdgeIpRestrictionModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointIpPolicy>`
  TcpEdgeIpRestrictionModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointIpPolicy>`
  TlsEdgeIpRestrictionModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointIpPolicy>`
  TlsEdgeIpRestrictionModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.